Bug 1571888 - Cannot hard reboot instance after reboot of OC node
Summary: Cannot hard reboot instance after reboot of OC node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Sylvain Bauza
QA Contact: Joe H. Rahme
URL:
Whiteboard:
Depends On: 1571890
Blocks: 1563714
TreeView+ depends on / blocked
 
Reported: 2018-04-25 15:26 UTC by Lee Yarwood
Modified: 2019-09-09 13:50 UTC (History)
15 users (show)

Fixed In Version: openstack-nova-17.0.3-0.20180420001138.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1563714
: 1571890 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:53:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1764460 None None None 2018-04-25 15:26:40 UTC
OpenStack gerrit 564454 None MERGED libvirt: fix hard reboot issue with mdevs 2020-09-16 17:09:51 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:55:00 UTC

Comment 7 Joe H. Rahme 2018-04-30 14:12:16 UTC
Verification steps:

1. Create an instance

	(overcloud) [stack@undercloud-0 testingdir]$ openstack server show vm1
	+-------------------------------------+---------------------------------------------------------------------+
	| Field                               | Value                                                               |
	+-------------------------------------+---------------------------------------------------------------------+
	| OS-DCF:diskConfig                   | MANUAL                                                              |
	| OS-EXT-AZ:availability_zone         | nova                                                                |
	| OS-EXT-SRV-ATTR:host                | compute-1.localdomain                                               |
	| OS-EXT-SRV-ATTR:hypervisor_hostname | compute-1.localdomain                                               |
	| OS-EXT-SRV-ATTR:instance_name       | instance-00000001                                                   |
	| OS-EXT-STS:power_state              | Running                                                             |
	| OS-EXT-STS:task_state               | None                                                                |
	| OS-EXT-STS:vm_state                 | active                                                              |
	| OS-SRV-USG:launched_at              | 2018-04-30T13:37:58.000000                                          |
	| OS-SRV-USG:terminated_at            | None                                                                |
	| accessIPv4                          |                                                                     |
	| accessIPv6                          |                                                                     |
	| addresses                           | nova=10.0.0.219                                                     |
	| config_drive                        |                                                                     |
	| created                             | 2018-04-30T13:37:51Z                                                |
	| flavor                              | m1.micro (3819a01b-deba-4616-ab2b-4aa7f46aa5e8)                     |
	| hostId                              | 330d972aec1be434adcc7d562e8ad4f48d553aa3bd9fa305c52624ee            |
	| id                                  | 5d8d56ff-cb6b-4c19-a725-599034b70914                                |
	| image                               | cirros-0.3.5-x86_64-disk.img (2b8e7b4e-b5f8-4598-9167-ad332059d87b) |
	| key_name                            | None                                                                |
	| name                                | vm1                                                                 |
	| progress                            | 0                                                                   |
	| project_id                          | a06915fe38394e4a8eac3e69de41e18c                                    |
	| properties                          |                                                                     |
	| security_groups                     | name='default'                                                      |
	| status                              | ACTIVE                                                              |
	| updated                             | 2018-04-30T13:37:58Z                                                |
	| user_id                             | b6ef93e75a5b4b809cdafa822d0a0668                                    |
	| volumes_attached                    |                                                                     |
	+-------------------------------------+---------------------------------------------------------------------+

2. Reboot the compute node

	(undercloud) [stack@undercloud-0 ~]$ ssh heat-admin@192.168.24.7
	The authenticity of host '192.168.24.7 (192.168.24.7)' can't be established.
	ECDSA key fingerprint is SHA256:8a7llCIxB7uieKcWqEBSJAxJ+9t+nfKxMnVdhfNcj4w.
	ECDSA key fingerprint is MD5:bb:21:fa:73:43:49:c3:a8:50:31:28:d6:4f:36:e5:60.
	Are you sure you want to continue connecting (yes/no)? yes
	Warning: Permanently added '192.168.24.7' (ECDSA) to the list of known hosts.
	Last login: Thu Apr 26 14:37:37 2018 from 192.168.24.254
	[heat-admin@compute-1 ~]$ sudo reboot
	PolicyKit daemon disconnected from the bus.
	We are no longer a registered authentication agent.
	Connection to 192.168.24.7 closed by remote host.
	Connection to 192.168.24.7 closed.



3. Restart the instance

   (overcloud) [stack@undercloud-0 ~]$ openstack server list
   +--------------------------------------+------+---------+-----------------+------------------------------+----------+
   | ID                                   | Name | Status  | Networks        | Image                        | Flavor   |
   +--------------------------------------+------+---------+-----------------+------------------------------+----------+
   | 5d8d56ff-cb6b-4c19-a725-599034b70914 | vm1  | SHUTOFF | nova=10.0.0.219 | cirros-0.3.5-x86_64-disk.img | m1.micro |
   +--------------------------------------+------+---------+-----------------+------------------------------+----------+
   (overcloud) [stack@undercloud-0 ~]$ ssh heat-admin@192.168.24.7
   [heat-admin@compute-1 ~]$ logout
   Connection to 192.168.24.7 closed.
   (overcloud) [stack@undercloud-0 ~]$ openstack server start vm1
   (overcloud) [stack@undercloud-0 ~]$ openstack server list
   +--------------------------------------+------+--------+-----------------+------------------------------+----------+
   | ID                                   | Name | Status | Networks        | Image                        | Flavor   |
   +--------------------------------------+------+--------+-----------------+------------------------------+----------+
   | 5d8d56ff-cb6b-4c19-a725-599034b70914 | vm1  | ACTIVE | nova=10.0.0.219 | cirros-0.3.5-x86_64-disk.img | m1.micro |
   +--------------------------------------+------+--------+-----------------+------------------------------+----------+

Comment 9 errata-xmlrpc 2018-06-27 13:53:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.